Bug 14502 - nfs startup script does things in the wrong order
Summary: nfs startup script does things in the wrong order
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-24 00:19 UTC by Seth Vidal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 00:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Seth Vidal 2000-07-24 00:19:21 UTC
the nfs-utils's package nfs startup script /etc/rc.d/init.d/nfs stops nfs
in the wrong way

according to this email from neil brown <neilb@cse.unsw.edu.au>
http://www.geocrawler.com/lists/3/SourceForge/789/0/4076633/
exporfts -au must be run AFTER nfsd is stopped or stale mount problems will
occur


But /etc/rc.d/init.d/nfs does this:
stop)
        # Stop daemons.
        action "Shutting down NFS services: " /usr/sbin/exportfs -au
	echo -n "Shutting down NFS mountd: "
        killproc rpc.mountd
        echo
        echo -n "Shutting down NFS daemon: "
  	killproc nfsd   
	echo
        echo -n "Shutting down NFS quotas: "
	killproc rpc.rquotad
        echo
        rm -f /var/lock/subsys/nfs
	;;

so it is doing them in the wrong order.
an easy fix but w/o it could screw up people who have nfs servers that need
to be rebooted when their clients still have active links.

Comment 1 Bill Nottingham 2000-07-24 20:30:13 UTC
Fixed in nfs-utils-0.1.9.1-5.


Note You need to log in before you can comment on or make changes to this bug.